org.eclipse.wst.jsdt.chromium.debug.core.model

## Interface JavaScriptFormatter

All Known Implementing Classes:
  JsdtFormatterBridge

    public interface JavaScriptFormatter

Provides a format operation for JavaScript source text. Result is optimized for future position translation operation.

A particular implementation of adapter should be registered as an extension.

### Nested Class Summary

Nested Classes
`static class` `JavaScriptFormatter.Access` Provides a standard mean of getting a single implementation of this interface.
`static interface` `JavaScriptFormatter.Result` Represents formatting result.

### Method Summary

All Methods Instance Methods Abstract Methods
`JavaScriptFormatter.Result` `format(java.lang.String sourceString)`

### Method Detail

#### format

    JavaScriptFormatter.Result format(java.lang.String sourceString)